package de.ozgcloud.nachrichten.postfach.osiv2.factory;

import java.util.Arrays;
import java.util.UUID;

import de.ozgcloud.nachrichten.postfach.osiv2.gen.model.MessageExchangeReceiveMessagesResponse;

public class MessageExchangeReceiveMessagesResponseTestFactory {

	public static MessageExchangeReceiveMessagesResponse create(String... uuids) {
		return new MessageExchangeReceiveMessagesResponse()
				.messages(Arrays.stream(uuids)
						.map(uuid -> MessageExchangeReceiveMessageTestFactory.create()
								.guid(UUID.fromString(uuid)))
						.toList());
	}

}
